const { GObject, Shell, St } = imports.gi;
const Lang = imports.lang;
const Main = imports.ui.main;
const Menu = Main.panel.statusArea.aggregateMenu.menu;
const PanelMenu = imports.ui.panelMenu;
const PopupMenu = imports.ui.popupMenu;
const SystemActions = imports.misc.systemActions;

let separator;
let power;

var _bringOut = new Lang.Class({
    Name: "Simpler Off Menu.",
    Extends: PanelMenu.SystemIndicator,
    
_init: function() {
        this._system = Main.panel.statusArea.aggregateMenu._system;
        this._systemActions = new SystemActions.getDefault();
        this._createSubMenu();
        Menu.box.remove_actor(this._system.menu.actor);
},

_createSubMenu: function() {

let bindFlags = GObject.BindingFlags.DEFAULT | GObject.BindingFlags.SYNC_CREATE;

separator = new PopupMenu.PopupSeparatorMenuItem;
Menu.addMenuItem(separator);

power = new PopupMenu.PopupImageMenuItem(_('Power Off'), 'system-shutdown-symbolic');
power.connect('activate', () => { this._systemActions.activatePowerOff(); });
Menu.addMenuItem(power);
this._systemActions.bind_property('can-power-off', power, 'visible', bindFlags);
},
    
destroy: function () {
Menu.box.remove_actor(separator);
Menu.box.remove_actor(power);
Menu.box.add_actor(this._system.menu.actor)
}

    
});

function init() {}

let modifiedMenu;

function enable() {
modifiedMenu = new _bringOut();
}

function disable() {
modifiedMenu.destroy();
}
